Subject: Re: [PATCH 3/5] kbuild: add arch specific post-module-link pass

From: Nicholas Piggin <[email-masked]>
Date: Fri, 5 Aug 2016 23:56:44 +1000

On Fri,  5 Aug 2016 22:12:01 +1000
Nicholas Piggin <[email-masked]> wrote:

> Add an option for architectures to pass over modules after they are
> linked. powerpc will use this to fix up alternate instruction patch
> relocations.

For that matter, now I think about it, I'd like to have this generic
postmod pass for the vmlinux as well. And it would be  to call into
the arch Makefile rather than just supply a tool.

Currently powerpc deals with it by adding dependencies on its zImage
target, but it would be really nice to be able to fix that while we're
here too. Is that going to work?

Thanks,
Nick